#ifndef QRK_VOLUME_H
#define QRK_VOLUME_H

/*!
  \file
  \brief ボリューム管理

  \author Satofumi KAMIMURA

  $Id: Volume.h 839 2009-05-10 02:23:55Z satofumi $
*/

#include <cstddef>

namespace qrk
{
  class BackMusic;
  class SoundEffect;


  void setBaseVolume(size_t percent);
  void setBaseVolume(BackMusic* sound_effect, size_t percent);
  void setBaseVolume(SoundEffect* sound_effect, size_t percent);
}

#endif /* !QRK_VOLUME_H */
